%define major         3
%define libname       %mklibname qt5xdg %{major}
%define libloadername %mklibname qt5xdgiconloader %{major}
%define devname       %mklibname qt5xdg -d

%define rel 1

Name:          libqtxdg
Version:       3.12.0
Release:       %mkrel %rel
Summary:       Library providing freedesktop.org specs implementations for Qt
License:       LGPLv2+
Group:         System/Libraries
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/libqtxdg/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt-build-tools)
BuildRequires: ninja
BuildRequires: magic-devel

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Svg)

BuildRequires: qttools5

%description
Library providing freedesktop.org specs implementations for Qt.

%files
%{_qt5_plugindir}/iconengines/libQt5XdgIconPlugin.so
%{_sysconfdir}/xdg/*.conf

#--------------------------------------------------------------------

%package -n %{libname}
Summary:       Library providing freedesktop.org specs implementations for Qt
Group:         System/Libraries

Requires:      %name = %version-%release

%description -n %{libname}
Library providing freedesktop.org specs implementations for Qt.

%files -n %{libname}
%{_libdir}/libQt5Xdg.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libloadername}
Summary:       Library providing freedesktop.org specs implementations for Qt
Group:         System/Libraries

%description -n %{libloadername}
Library providing freedesktop.org specs implementations for Qt.

%files -n %{libloadername}
%{_libdir}/libQt5XdgIconLoader.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %libname = %version
Requires:      %libloadername = %version
Provides:      %name-devel = %version-%release
Provides:      lib%name-devel = %version-%release

%description -n %{devname}
Development files (Headers etc.) for %{name}, a library providing
freedesktop.org specs implementations for Qt.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libQt5Xdg.so
%{_libdir}/libQt5XdgIconLoader.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/qt5xdg
%{_datadir}/cmake/qt5xdgiconloader

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 -DBUILD_TESTS=on
%cmake_build

%install
%cmake_install



%changelog
* Tue Nov 21 2023 papoteur <papoteur> 3.12.0-1.mga9
+ Revision: 2008702
- new version 3.12.0

* Sun Apr 16 2023 papoteur <papoteur> 3.11.0-1.mga9
+ Revision: 1953100
- new version 3.11.0

* Mon Feb 06 2023 papoteur <papoteur> 3.10.0-2.mga9
+ Revision: 1938734
- new version 3.10.0

* Sun Nov 06 2022 papoteur <papoteur> 3.10.0-1.mga9
+ Revision: 1904079
- new version 3.10.0

* Mon Sep 19 2022 papoteur <papoteur> 3.9.1-1.mga9
+ Revision: 1890640
- Fix files list
- new 3.9.1

* Fri Apr 22 2022 papoteur <papoteur> 3.9.0-1.mga9
+ Revision: 1852644
- Release 3.9.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 3.8.0-1.mga9
+ Revision: 1761604
- New version 3.8.0

* Fri Apr 16 2021 daviddavid <daviddavid> 3.7.1-1.mga9
+ Revision: 1716026
- New version 3.7.1

* Thu Dec 17 2020 daviddavid <daviddavid> 3.6.0-3.mga8
+ Revision: 1659972
- rebuild for missing pkgs

* Thu Dec 17 2020 umeabot <umeabot> 3.6.0-2.mga8
+ Revision: 1658985
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 3.6.0-1.mga8
+ Revision: 1643196
- New version 3.6.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 3.5.0-2.mga8
+ Revision: 1571820
- rebuild for arm

* Sat Apr 25 2020 daviddavid <daviddavid> 3.5.0-1.mga8
+ Revision: 1571798
- New version 3.5.0

* Tue Feb 18 2020 umeabot <umeabot> 3.4.0-2.mga8
+ Revision: 1539606
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Dec 09 2019 daviddavid <daviddavid> 3.4.0-1.mga8
+ Revision: 1465367
- new version: 3.4.0

* Sun Mar 31 2019 umeabot <umeabot> 3.3.1-2.mga7
+ Revision: 1383199
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 3.3.1-1.mga7
+ Revision: 1380821
- new version: 3.3.1

* Sun Jan 27 2019 daviddavid <daviddavid> 3.3.0-1.mga7
+ Revision: 1361265
- New version 3.3.0

* Fri Dec 28 2018 daviddavid <daviddavid> 3.2.0-3.mga7
+ Revision: 1345488
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 3.2.0-2.mga7
+ Revision: 1299110
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1235998
- New version: 3.2.0

* Thu Nov 02 2017 neoclust <neoclust> 3.1.0-1.mga7
+ Revision: 1175476
- New version 3.1.0

* Tue Nov 08 2016 neoclust <neoclust> 2.0.0-1.mga6
+ Revision: 1065872
- New version 2.0.0

* Sun Oct 16 2016 wally <wally> 1.3.0-3.mga6
+ Revision: 1061137
- fix lib and devel pkg names

* Mon Feb 15 2016 umeabot <umeabot> 1.3.0-2.mga6
+ Revision: 961179
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 neoclust <neoclust> 1.3.0-1.mga6
+ Revision: 900011
- New version 1.3.0

* Tue Mar 03 2015 doktor5000 <doktor5000> 1.1.0-4.mga5
+ Revision: 817622
- add upstream patch to ignore empty dirs in xdgDirList() (mga#15358)

* Thu Feb 26 2015 doktor5000 <doktor5000> 1.1.0-3.mga5
+ Revision: 817069
- add upstream patch to reenable tests

* Tue Feb 24 2015 doktor5000 <doktor5000> 1.1.0-2.mga5
+ Revision: 816816
- add Obsoletes on dropped %%{_lib}qtxdg-data subpackage

* Sat Feb 21 2015 doktor5000 <doktor5000> 1.1.0-1.mga5
+ Revision: 816217
- new version 1.1.0
- remove conditional handling for QT5 as QT4 is not supported anymore
- disabled tests for now due to undefined references, reported upstream
- translations have been removed upstream, only meant for developers
- use new URL http://downloads.lxqt.org/

* Wed Dec 17 2014 doktor5000 <doktor5000> 1.0.0-6.mga5
+ Revision: 803657
- rebuild for QT 5.4 breakage
- add missing BuildRequire on qttools5 for lrelease

* Mon Nov 03 2014 wally <wally> 1.0.0-5.mga5
+ Revision: 795332
- loosen lib pkg requires

* Sat Oct 25 2014 doktor5000 <doktor5000> 1.0.0-4.mga5
+ Revision: 793179
- correct license
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 doktor5000 <doktor5000> 1.0.0-1.mga5
+ Revision: 738288
- new version 1.0.0
  o major changed to 1
- enabled QT5 build
  o remove %%setup macro folder creation

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-2.mga5
+ Revision: 681733
- Mageia 5 Mass Rebuild

* Wed May 28 2014 doktor5000 <doktor5000> 0.5.3-1.mga5
+ Revision: 627311
- new version 0.5.3
  o fix version, previous was really 0.5.1
  o switched to released tarball instead of GIT snapshot

* Wed May 21 2014 doktor5000 <doktor5000> 0.7.0-0.20140508.1.mga5
+ Revision: 624577
- use %%mkrel, drop handling of %%beta
- added conditional support for QT5, added QT5 BuildRequires
- fixed URL, added comments how to create tarball from GIT
- added proper Provides/Requires for -data and devel packages
- enabled building of tests
- imported package libqtxdg


* Thu May 08 2014 Bernhard Rosenkraenzer <bero@lindev.ch> 0.7.0-0.20140508.1
+ Revision: f446d95
- Update to current git, goes with LXQt 0.7


